
Enduro/X Core - Support #253

Feature # 328 (Closed): Enduro/X Version 6.0 master task

Solaris shm_unlink might hang

11/22/2017 07:52 AM - Madars

Status: Closed Start date: 11/22/2017

Priority: Normal (Code 4) Due date:  

Assignee:  % Done: 100%

Category:  Estimated time: 0.00 hour

Target version:    

Description

Solaris call to shm_unlink() in some scenarios might hang. The only solution at this point is to remove the shared memory file

(/tmp/.XXXX). Thus we might want to create shm_unlink wrapper for Solaris to do the delete of actual shm file...

History

#1 - 11/22/2017 10:12 AM - Madars

SHM format:

-rwxr-x---   1 user1    staff        128 Nov 22 12:08 .SHMDdom1,shm,brinfo

-rwxr-x---   1 user1    staff    7440000 Nov 22 12:18 .SHMDdom1,shm,svcinfo

-rwxr-x---   1 user1    staff    12440000 Nov 22 12:18 .SHMDdom1,shm,srvinfo

#2 - 12/04/2018 07:41 AM - Madars

- Status changed from New to Resolved

- % Done changed from 0 to 100

- Parent task set to #328

Moved to system v shm and mq.

#3 - 12/04/2018 07:42 AM - Madars

- Status changed from Resolved to Closed
